AutoCAD Plant 3D Forum
Welcome to Autodesk’s AutoCAD Plant 3D Forums. Share your knowledge, ask questions, and explore popular AutoCAD Plant 3D topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Microstation command Clip Volme, saved view , set display depth in Plant 3D

2 REPLIES 2
SOLVED
Reply
Message 1 of 3
Vivek42
828 Views, 2 Replies

Microstation command Clip Volme, saved view , set display depth in Plant 3D

HI ,

 

I am microstation user, trying to explore similarity between bentley openplant[microstation] and autodesk plant 3d.

 

I came to know that AutoCAD Plant 3D do not support two screen[multi screen] display,

More major roadblock is Autocad Plant 3D does not have out of box command compare to microstation like CLip Volume, Saved View and set diaplay depth, is it true??

Would anyone plesae share their experience with this switch??

 

REgards,

Vivek

2 REPLIES 2
Message 2 of 3
jabowabo
in reply to: Vivek42

AutoCAD unfortunately does not have a good parallel to a volume clipping box. There are a few features that do have similar functionality:

3DCLIP  command - set and adjust 3D clipping planes

VIEW command - save and retrieve views

XCLIP command - clip Xref boundaries

 

See also a custom implementation here. LISP code is below:

 

;Create a section view
(defun c:SX (/ origOrthoMode pt1 pt2 pt3 pt4)
  (setq origOrthoMode(getvar "orthomode"))
  (setvar "orthomode" 1)
  (setq origCmdEcho (getvar "cmdecho"))
  (setvar "cmdecho" 0)
  (setvar "expert" 5)ISO  
  
  ; Save original UCS
  ;(command "ucs" "s" "tempUcs")  ;  saves ucs to "tempUcs"  
  
  ; Save original View
  (command "-view" "save" "temp1")
  
  ;Set UCS to View  
  (command "ucs" "v")  
  
  ;Get points to define workplane
  (setq pt1 (getpoint "\nWork plane pt1: "))
  (setq pt2 (getpoint pt1 "\nWork plane pt2: "))
  (setq sxOrig (trans pt2 1 0))
  
  ;Get points to define clip plane locations
  (setq pt3 (getpoint "\nSection start: "))
  (setq pt4 (getpoint pt3 "\nSection end: "))

  (setq pt3 (trans pt3 1 0) pt4 (trans pt4 1 0)) ; translate points pt3 & pt4 from '1' (UCS) to '0' (WCS)
  (command "ucs" "w")
  (setvar "regenmode" 1)
  (command "dview" "" "po" pt4 pt3 "cl" "f" (distance pt4 pt3) "cl" "b" 0 "")

;  move ucs origin to middle of workplane line & sets to view
;   this causes grips to be active in dview box because ucs origin is in box  

  (command "ucs" "or" (trans sxOrig 1 0))
  (command "ucs" "v")
  (COMMAND "ZOOM" "E")
    
;  Restore original UCS
;  (command "ucs" "r" "tempUcs")   ;  restores ucs to "tempUcs"

  (setvar "orthomode" origOrthoMode)
  (setvar "regenmode" 0)
  (setvar "expert" 0)
  (setvar "cmdecho" origCmdEcho)
  (princ)
)

; End the section view
(defun c:ESX (/)
  (command "ucs" "w")
  (command "plan" "w")
  (setvar "regenmode" 1)
  
  ; Restore original View
  (command "-view" "restore" "temp1")
  (princ)
)

 

 

Message 3 of 3
Vivek42
in reply to: jabowabo

Thanks jabowabo this do help,

 

But  I think there should be some way to file enhancement in plant 3d to get these feature same as Microstation if not better.

Regards,

Vivek

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report